Skip to main content
`Ctrl`+`K`

# PetscBinarySynchronizedSeek

Moves the file pointer on a PETSc binary file.

## Synopsis

    PetscErrorCode PetscBinarySynchronizedSeek(MPI_Comm comm, int fd, off_t off, PetscBinarySeekType whence, off_t *offset)

No Fortran Support

## Input Parameters

- comm - the communicator to read with

- fd - the file

- whence - see `PetscBinarySeekType` for possible values

- off - number of bytes to move. Use `PETSC_BINARY_INT_SIZE`, `PETSC_BINARY_SCALAR_SIZE`, etc. in your calculation rather than `sizeof()` to compute byte lengths.

## Output Parameter

- offset - new offset in file

## See Also

`PetscBinaryRead()`, `PetscBinarySeekType`, `PetscBinaryWrite()`, `PetscBinaryOpen()`, `PetscBinarySynchronizedWrite()`, `PetscBinarySynchronizedRead()`,

## Level

developer

## Location

src/sys/fileio/sysio.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages